@echo off
cls

echo +=============================+
echo $                             $
echo $    FishTable b2b patcher    $
echo $                             $
echo $ WWW: http://fishtable.org/  $
echo +=============================+
echo.


FOR /F "tokens=*" %%r IN ('openfile.exe') DO call :patch %%r
pause
exit /B

:patch

set ZTMP=%TEMP%\zpatch

rmdir /Q /S "%ZTMP%"
mkdir "%ZTMP%"

copy "%*" "%ZTMP%\pokerclient.jar" >nul

if not exist "%ZTMP%\pokerclient.jar" (
echo [-] Something wrong..."
) else (
echo [*] Patching...
7z.exe d -ssc -tzip "%ZTMP%\pokerclient.jar" META-INF/*.SF META-INF/*.DSA META-INF/*.RSA >nul
7z.exe a -ssc -tzip "%ZTMP%\pokerclient.jar" META-INF/MANIFEST.MF ui/NativeMethods.class >nul

copy /Y "%ZTMP%\pokerclient.jar" "%*" >nul

if errorlevel 1 (
echo [*] Please, copy pokerclient.jar to client folder
explorer "%ZTMP%"
) else (
echo [+] All done
)

)
